import request from '@/utils/request'

// // 查询结构列表
// export function listData(query) {
//   return request({
//     url: '/source/data/list',
//     method: 'get',
//     params: query
//   })
// }

// // 查询结构详细
// export function getData(id) {
//   return request({
//     url: '/source/data/' + id,
//     method: 'get'
//   })
// }

// // 新增结构
// export function addData(data) {
//   return request({
//     url: '/source/data',
//     method: 'post',
//     data: data
//   })
// }

// // 修改结构
// export function updateData(data) {
//   return request({
//     url: '/source/data',
//     method: 'put',
//     data: data
//   })
// }
//
// // 删除结构
// export function delData(id) {
//   return request({
//     url: '/source/data/' + id,
//     method: 'delete'
//   })
// }
// //修改字段是否为字典值
// export function updIsDict(data) {
//   return request({
//     url: '/source/data/updIsDict',
//     method: 'put',
//     data: data
//   })
// }
//根据表ID查询表结构
export function selectTableData(id) {
  return request({
    url: '/source/data/selectStructureById/' + id,
    method: 'get'
  })
}
/**
 * 过滤级联查询方法，资产授权，获取当前用户的信息
 * 资产展示的调用方法
 * @returns {*} 返回集合
 */
export function findTableInfo() {
  return request({
    url: '/source/tableInfo/findAssetByTableName',
    method: 'get'
  })
}
/**
 * 查询数据库/表 级联查询用于数据资产授权
 * 资产结构 资产授权 自己授权用
 * @returns {AxiosPromise} 返回集合
 */
export function findTableInfoList() {
  return request({
    url: '/source/tableInfo/findAsset',
    method: 'get',
  })
}
export function findTableName(id) {
  return request({
    url: '/source/tableInfo/findTableName',
    method: 'post',
    params: {id}
  })
}


